<!doctype html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel='stylesheet' href='/stylesheets/style.css' />
    <title>Page1</title>
</head>
<body>
<h1><%= title %></h1>



<ul class="list-group">
    <li class="list-group-item">
        <h5>Please, click here to get the clients of the "E-commerce" app</h5>
        <form method="GET" action="/relation-client/create-account">
            <button type="submit" value="Submit">Get clients payment</button>
        </form>
    </li>
    <% if (typeof clients != 'undefined') { %>
    <li class="list-group-item">
        <table class="table table-striped">
            <thead>
            <tr>
                <th scope="col">Email</th>
                <th scope="col">Address</th>
            </tr>
            </thead>
        <% for(var i=0; i < clients.data.length; i++) { %>
        <tr>
            <td><%= clients.data[i].email %></td>
            <% if (typeof clients.data[i].address != 'undefined') { %>
            <% var address = clients.data[i].address %>
                <td>
                <% for(var z=0; z < address.length; z++) { %>
                        <%= address[z].country + ' / ' + address[z]['street-number'] + ' / ' + address[z].street %>
                        </br>
                    <%}%>
                </td>
            <%}%>
        </tr>
        <% } %>
            </tbody>
        </table>
    </li>
    <%}%>
</ul>


<ul class="list-group">
    <li class="list-group-item">
        <h5>Please, click here to get the update the orders states from "Gestion-entrepôts" app</h5>
        <form method="GET" action="/relation-client/state-order">
            <button type="submit" value="Submit">Refresh orders states</button>
        </form>
    </li>
    <% if (typeof clients != 'undefined') { %>
        <li class="list-group-item">
            <table class="table table-striped">
                <thead>
                <tr>
                    <th scope="col">Email</th>
                    <th scope="col">Address</th>
                </tr>
                </thead>
                <% for(var i=0; i < clients.data.length; i++) { %>
                    <tr>
                        <td><%= clients.data[i].email %></td>
                        <% if (typeof clients.data[i].address != 'undefined') { %>
                            <% var address = clients.data[i].address %>
                            <td>
                                <% for(var z=0; z < address.length; z++) { %>
                                    <%= address[z].country + ' / ' + address[z]['street-number'] + ' / ' + address[z].street %>
                                    </br>
                                <%}%>
                            </td>
                        <%}%>
                    </tr>
                <% } %>
                </tbody>
            </table>
        </li>
    <%}%>
</ul>

<!-- Optional JavaScript -->
<!-- jQuery first, then Popper.js, then Bootstrap JS -->
<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
</body>
</html>
